package com.tanpu.community.api.beans.resp;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author: wangyalei
 *
 */
@Data
@SuperBuilder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
public class Price {

    @ApiModelProperty("资源id")
    private String resId;

    @ApiModelProperty("是不是白名单 0:不是 1:是白名单")
    private Integer isWhite;

    @ApiModelProperty("付费模式 1：免费 2：积分  3：现金")
    private Integer chargeMode;

    @ApiModelProperty("价格")
    private String totalPrice;

    @ApiModelProperty("划线价格")
    private String discountPrice;

    @ApiModelProperty("积分")
    private String totalScore;

    @ApiModelProperty("划线积分")
    private String discountScore;

    @ApiModelProperty("会员打折价")
    private String memberDiscountPrice;

    @ApiModelProperty("是否需要报名 0:不需要 1:需要")
    private Integer bmStatus;

    @ApiModelProperty("报名是否需要审核 0:不需要 1:需要")
    private Integer signUpReviewSwitch;

    @ApiModelProperty("报名是否需要填写问卷 0不需要 1需要")
    private Integer isAnswer;

    @ApiModelProperty("是否已报名报 0:未报名 1:已报名")
    private Integer bmInfo;

    @ApiModelProperty("用户报名时间戳")
    private Long signedTime;

    @ApiModelProperty("审批状态 0：待审批 1：通过 2：驳回")
    private Integer spStatus;

    @ApiModelProperty("最终可参与的会员等级")
    private Integer finalLevel;
    @ApiModelProperty("最终付费模式 1：免费 2：积分  3：现金")
    private Integer finalChargeMode;

    @ApiModelProperty("最终价格")
    private String finalPrice;

    @ApiModelProperty("最终积分")
    private String finalScore;


    @ApiModelProperty("需不需要支付 2:不需要 1:需要")
    private Integer isNeedBuy;

    @ApiModelProperty("有没有支付 2:已购买 1:未购买")
    private Integer isBuy;


    @ApiModelProperty("是否正在参与拼团活动 0不参加 1参加")
    private Integer isJoinGroupBuy = 0;

}
